#ifndef
Prev | Orchestra Opcodes and Operators | Next

## #ifndef

#ifndef — Conditional reading of code.

## Description

If the specified macro is not defined then #ifndef can incorporate text into an orchestra upto the next #end. This is similar to, but independent of, the macro system in the score language.

## Syntax

    #ifndef NAME

    ....

    #else

    ....

    #end

## Performance

Note that the #ifndef can be nested, like in the C preprocessor language.

## See Also

$NAME, #define, #ifdef.

## Credits

Author: John ffitch
University of Bath/Codemist Ltd.
Bath, UK
April 2005

New in Csound5 (and 4.23f13)

Prev | Up | Next
#ifdef | Home | $NAME